##
##  fernflower.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2015 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         fernflower
Summary:      Java Bytecode Decompiler
URL:          https://github.com/JetBrains/intellij-community/tree/master/plugins/java-decompiler/engine
Vendor:       JetBRAINs
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        EVAL
Group:        Compiler
License:      Apache
Version:      20150213
Release:      20150213

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/fernflower/fernflower-%{version}.tar.xz
Source1:      fernflower.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20140101, java, JAVA-JDK, ant
PreReq:       OpenPKG, openpkg >= 20140101

%description
    Fernflower is an analytical decompiler for Java and probably for
    a high-level programming language in general. It is licensed by
    JetBRAINs for use in their Intellij IDEA product and relicensed
    by them under Apache license as part of their IntelliJ Community
    edition.

%track
    prog fernflower = {
        version   = %{version}
        url       = http://download.openpkg.org/components/versioned/fernflower/
        regex     = fernflower-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -c

%build
    %{l_prefix}/bin/ant

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/fernflower \
        $RPM_BUILD_ROOT%{l_prefix}/man/cat1
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE fernflower.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/fernflower
    %{l_shtool} install -c -m 644 %{l_value -s -a} \
        fernflower.jar $RPM_BUILD_ROOT%{l_prefix}/libexec/fernflower/
    %{l_shtool} install -c -m 644 \
        readme.txt $RPM_BUILD_ROOT%{l_prefix}/man/cat1/fernflower.1
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

